Create tax group
Create a new tax group
POST
/
admin
/
api
/
v1
/
accounts
/
tax-groups
Create tax group
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/accounts/tax-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "VAT Group"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/tax-groups"
payload = { "name": "VAT Group" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'VAT Group'})
};
fetch('https://erp.arukz.com/admin/api/v1/accounts/tax-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/tax-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'VAT Group'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Tax 15%",
"preceding_subtotal": null,
"sort": 1,
"company_id": 1,
"country_id": 104,
"creator_id": 1,
"created_at": "2026-01-07T11:08:43.000000Z",
"updated_at": "2026-01-07T11:08:43.000000Z"
},
"message": "Tax group created successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Created
⌘I
Create tax group
curl --request POST \
--url https://erp.arukz.com/admin/api/v1/accounts/tax-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "VAT Group"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/tax-groups"
payload = { "name": "VAT Group" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'VAT Group'})
};
fetch('https://erp.arukz.com/admin/api/v1/accounts/tax-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/tax-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'VAT Group'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Tax 15%",
"preceding_subtotal": null,
"sort": 1,
"company_id": 1,
"country_id": 104,
"creator_id": 1,
"created_at": "2026-01-07T11:08:43.000000Z",
"updated_at": "2026-01-07T11:08:43.000000Z"
},
"message": "Tax group created successfully."
}{
"message": "Unauthenticated."
}{
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}